## org.biojavax.ga
Interface Organism

All Superinterfaces:
  Changeable

All Known Implementing Classes:
  AbstractOrganism, SimpleOrganism

    public interface Organism

extends Changeable

A GA 'organism' contains one or more Chromosomes

Since:
  1.5
Version:
  1.0
Author:
  Mark Schreiber

Field Summary
`static ChangeType` `CHROMOSOMES`
`static ChangeType` `NAME`

Method Summary
`SymbolList[]` `getChromosomes()` Gets the organisms 'chromosome' sequences
`java.lang.String` `getName()` Gets the organisms name
`boolean` `isHaploid()` Is the organism Haploid?
`Organism` `replicate(java.lang.String name)` Creates a replica of this `Organism` with a new name.
`void` `setChromosomes(SymbolList[] chromosomes)` Sets the organisms 'chromosome' sequences.
`void` `setName(java.lang.String name)` Sets the organisms name

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### CHROMOSOMES

    static final ChangeType CHROMOSOMES

### NAME

    static final ChangeType NAME

Method Detail

### getChromosomes

    SymbolList[] getChromosomes()

  Gets the organisms 'chromosome' sequences

  Returns:
    a `SymbolList[]`

### setChromosomes

    void setChromosomes(SymbolList[] chromosomes)
                        throws ChangeVetoException

  Sets the organisms 'chromosome' sequences.

  Parameters:
    `chromosomes` - a `SymbolList[]`
  Throws:
    `ChangeVetoException` - if the Chromosome collection of the Organism is unchangable

### getName

    java.lang.String getName()

  Gets the organisms name

  Returns:
    the name String

### setName

    void setName(java.lang.String name)
                 throws ChangeVetoException

  Sets the organisms name

  Parameters:
    `name` - the name of the organism.
  Throws:
    `ChangeVetoException` - if the name may not be changed.

### replicate

    Organism replicate(java.lang.String name)

  Creates a replica of this `Organism` with a new name.

  Parameters:
    `name` - the new name for the sequence.
  Returns:
    the replicated organism.

### isHaploid

    boolean isHaploid()

  Is the organism Haploid?

  Returns:
    true if it is.